#!/bin/bash

# use imagebuilder

OPENWRT_VERSION=22.03.2

# for i in openwrt-imagebuilder-${OPENWRT_VERSION}-bcm27xx-bcm2711.Linux-x86_64.tar.xz \
#          openwrt-sdk-${OPENWRT_VERSION}-bcm27xx-bcm2711_gcc-11.2.0_musl.Linux-x86_64.tar.xz \
#          openwrt-toolchain-${OPENWRT_VERSION}-bcm27xx-bcm2711_gcc-11.2.0_musl.Linux-x86_64.tar.xz
for i in openwrt-imagebuilder-${OPENWRT_VERSION}-bcm27xx-bcm2711.Linux-x86_64.tar.xz
    do
    wget -q \
        https://downloads.openwrt.org/releases/${OPENWRT_VERSION}/targets/bcm27xx/bcm2711/$i || exit 1
done

tar -xJf openwrt-imagebuilder-${OPENWRT_VERSION}-*.tar.xz
cd openwrt-imagebuilder-*/

make info

make image \
	PROFILE=rpi-4 \
	PACKAGES="kmod-rtc-ds1307 \
                  asterisk \
                  asterisk-pjsip asterisk-bridge-simple \
		  asterisk-codec-alaw asterisk-codec-ulaw \
		  asterisk-res-rtp-asterisk kmod-nf-nathelper-extra"

mkdir -p ../../out
mv build_dir/target-aarch64_cortex-a72_musl/linux-bcm27xx_bcm2711/tmp/*.gz ../../out
